def istPrimzahl(n):
    
    """
    Verhalten:
    Übergabe: natürliche Zahl n
    Rückgabe: True, falls n eine Primzahl ist
              False, sonst
    Testfälle:
    >>> istPrimzahl(1)
    False
    >>> istPrimzahl(2)
    True
    >>> istPrimzahl(3)
    True
    >>> istPrimzahl(4)
    False
    >>> istPrimzahl(113)
    True
    >>> istPrimzahl(551)
    False
    """

    if n <= 1:
        prim = False
    else:
        prim = True
        k = 2
        while k*k <= n and prim:
            if n % k == 0:
                prim = False
            k = k+1
    return prim

if __name__ == "__main__":
    from doctest import testmod
    testmod(verbose=True)
