def istPrimzahl(n):
    
    """
    Verhalten:
    Übergabe: natürliche Zahl n
    Rückgabe: True, falls n eine Primzahl ist
              False, sonst
    Testfälle:
    >>> istPrimzahl(1)
    False
    >>> istPrimzahl(2)
    True
    >>> istPrimzahl(3)
    True
    >>> istPrimzahl(4)
    False
    >>> istPrimzahl(113)
    True
    >>> istPrimzahl(551)
    False
    """

    if n <= 1:
        prim = False
    else:
        prim = True
        k = 2
        while k*k <= n and prim:
            if n % k == 0:
                prim = False
            k = k+1
    return prim

# Laufzeitmessung

from time import clock

p = 152008011809

t1 = clock()
ergebnis = istPrimzahl(p)
t2 = clock()
t = t2 - t1
print("Primzahl: ", p, "Rechenzeit: ", t)
