def istTeilbar(n, L):
    
    """
    Verhalten:
    Übergabe: natürliche Zahl n
              Liste L mit natürlichen Zahlen > 1
    Rückgabe: True, falls n durch eine Zahl aus L teilbar ist
              False, sonst
    Testfälle:
    >>> istTeilbar(2, [])
    False
    >>> istTeilbar(3, [2])
    False
    >>> istTeilbar(4, [2, 3])
    True
    """

    teilbar = False
    i = 0
    while i < len(L) and not teilbar:
        if n % L[i] == 0:
            teilbar = True
        i = i+1
    return teilbar

if __name__ == "__main__":
    from doctest import testmod
    testmod(verbose=True)

